org.eclipse.mat.query

## Interface ISelectionProvider

All Known Implementing Classes:
  DuplicatedClassesQuery, Path2GCRootsQuery.Tree, RefinedStructuredResult, RefinedTable, RefinedTree

    public interface ISelectionProvider

Description of how to deal with a table or tree.

### Field Summary

Fields
`static ISelectionProvider` `EMPTY` A basic selection provider where nothing is selected or expanded.

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `isExpanded(Object row)` Should this node be expanded.
`boolean` `isSelected(Object row)` Has the user selected this row?

### Field Detail

#### EMPTY

    static final ISelectionProvider EMPTY

A basic selection provider where nothing is selected or expanded.

### Method Detail

#### isSelected

    boolean isSelected(Object row)

Has the user selected this row?

Parameters:
  `row` - the chosen row
Returns:
  true if selected

#### isExpanded

    boolean isExpanded(Object row)

Should this node be expanded.

Parameters:
  `row` - the chosen row
Returns:
  true if it should be expanded.